Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1366752 - "device-mapper: waitevent ioctl failed" messages when deleting mirror converted from raid1
Summary: "device-mapper: waitevent ioctl failed" messages when deleting mirror convert...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: lvm2
Version: 7.3
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: rc
: ---
Assignee: LVM and device-mapper development team
QA Contact: cluster-qe@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-12 17:20 UTC by Corey Marthaler
Modified: 2016-11-04 04:17 UTC (History)
8 users (show)

Fixed In Version: lvm2-2.02.164-3.el7
Doc Type: No Doc Update
Doc Text:
Intra-release bug, no documentation needed.
Clone Of:
Environment:
Last Closed: 2016-11-04 04:17:33 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1445 normal SHIPPED_LIVE lvm2 bug fix and enhancement update 2016-11-03 13:46:41 UTC

Description Corey Marthaler 2016-08-12 17:20:54 UTC
Description of problem:
[root@host-082 ~]# lvs -a -o +devices
  LV                   VG   Attr       LSize  Log              Cpy%Sync Devices
  transform            test mwi-a-m--- 28.00m [transform_mlog] 100.00   transform_mimage_0(0),transform_mimage_1(0)
  [transform_mimage_0] test iwi-aom--- 28.00m                           /dev/sda1(1)
  [transform_mimage_1] test iwi-aom--- 28.00m                           /dev/sdb1(1)
  [transform_mlog]     test lwn-aom---  4.00m                           /dev/sdh1(0)


[root@host-082 ~]# lvremove test/transform
Do you really want to remove active logical volume test/transform? [y/n]: y
  Logical volume "transform" successfully removed


Aug 12 12:09:42 host-082 lvm[24108]: device-mapper: waitevent ioctl on LVM-nly8naLXFvoSWa1BXldLKAiw1cYqwMnmGNmZAfmLDMhl4SsDAT0JshyUQ2YD1Q3c failed: No such device or address
Aug 12 12:09:42 host-082 lvm[24108]: test-transform disappeared, detaching.


Version-Release number of selected component (if applicable):
3.10.0-489.el7.x86_64

lvm2-2.02.163-1.el7    BUILT: Wed Aug 10 06:53:21 CDT 2016
lvm2-libs-2.02.163-1.el7    BUILT: Wed Aug 10 06:53:21 CDT 2016
lvm2-cluster-2.02.163-1.el7    BUILT: Wed Aug 10 06:53:21 CDT 2016
device-mapper-1.02.133-1.el7    BUILT: Wed Aug 10 06:53:21 CDT 2016
device-mapper-libs-1.02.133-1.el7    BUILT: Wed Aug 10 06:53:21 CDT 2016
device-mapper-event-1.02.133-1.el7    BUILT: Wed Aug 10 06:53:21 CDT 2016
device-mapper-event-libs-1.02.133-1.el7    BUILT: Wed Aug 10 06:53:21 CDT 2016
device-mapper-persistent-data-0.6.3-1.el7    BUILT: Fri Jul 22 05:29:13 CDT 2016
cmirror-2.02.163-1.el7    BUILT: Wed Aug 10 06:53:21 CDT 2016
sanlock-3.4.0-1.el7    BUILT: Fri Jun 10 11:41:03 CDT 2016
sanlock-lib-3.4.0-1.el7    BUILT: Fri Jun 10 11:41:03 CDT 2016
lvm2-lockd-2.02.163-1.el7    BUILT: Wed Aug 10 06:53:21 CDT 2016

Comment 2 Alasdair Kergon 2016-08-23 17:50:05 UTC
Same cause as bug 1366749 - it was still using the raid dso to monitor the LV instead of the mirror dso, so the unmonitor mirror request found nothing to do, and when the device was removed the raid monitoring stopped and generated the messages.

Fixed in next release.

Comment 4 Corey Marthaler 2016-08-26 17:38:47 UTC
Fix verified in the latest rpms.

lvm2-2.02.164-3.el7    BUILT: Wed Aug 24 05:20:41 CDT 2016
lvm2-libs-2.02.164-3.el7    BUILT: Wed Aug 24 05:20:41 CDT 2016
lvm2-cluster-2.02.164-3.el7    BUILT: Wed Aug 24 05:20:41 CDT 2016


[root@host-117 ~]# lvcreate --type raid1 -L 50M -m 1 -n transform test
  Rounding up size to full physical extent 52.00 MiB
  Logical volume "transform" created.

[root@host-117 ~]# lvs -a -o +devices
  LV                   VG    Attr       LSize    Log Cpy%Sync Devices
  transform            test  rwi-a-r---  52.00m      100.00   transform_rimage_0(0),transform_rimage_1(0)
  [transform_rimage_0] test  iwi-aor---  52.00m               /dev/sda1(1)
  [transform_rimage_1] test  iwi-aor---  52.00m               /dev/sdb1(1)
  [transform_rmeta_0]  test  ewi-aor---   4.00m               /dev/sda1(0)
  [transform_rmeta_1]  test  ewi-aor---   4.00m               /dev/sdb1(0)

[root@host-117 ~]# lvconvert --type mirror test/transform
Are you sure you want to convert test/transform back to the older "mirror" type? [y/n]: y
  Logical volume test/transform successfully converted.

[root@host-117 ~]# lvs -a -o +devices
  LV                   VG    Attr       LSize    Log              Cpy%Sync Devices
  transform            test  mwi-a-m---  52.00m  [transform_mlog] 100.00   transform_mimage_0(0),transform_mimage_1(0)
  [transform_mimage_0] test  iwi-aom---  52.00m                            /dev/sda1(1)
  [transform_mimage_1] test  iwi-aom---  52.00m                            /dev/sdb1(1)
  [transform_mlog]     test  lwn-aom---   4.00m                            /dev/sdg1(0)

[root@host-117 ~]# lvremove test/transform
Do you really want to remove active logical volume test/transform? [y/n]: y
  Logical volume "transform" successfully removed

[root@host-117 ~]# grep waitevent /var/log/messages
[root@host-117 ~]#

Comment 6 errata-xmlrpc 2016-11-04 04:17:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-1445.html


Note You need to log in before you can comment on or make changes to this bug.